opensaml::RetryableProfileException Class Reference

Non-fatal exceptions in SAML profile processing. More...

`#include <saml/exceptions.h>`

Inheritance diagram for opensaml::RetryableProfileException:
[legend]
Collaboration diagram for opensaml::RetryableProfileException:
[legend]

## Public Member Functions

| RetryableProfileException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor.
| RetryableProfileException (const char *msg, const xmltooling::namedparams &p)
| Constructor.
| RetryableProfileException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor.
| RetryableProfileException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor.
virtual const char * | getClassName () const
void | raise () const
Public Member Functions inherited from opensaml::ProfileException
| ProfileException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor.
| ProfileException (const char *msg, const xmltooling::namedparams &p)
| Constructor.
| ProfileException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor.
| ProfileException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor.
void | raise () const

## Detailed Description

Non-fatal exceptions in SAML profile processing.

## Member Function Documentation

## getClassName()

virtual const char * opensaml::RetryableProfileException::getClassName | ( |  | ) | const

inline virtual

Reimplemented from opensaml::ProfileException.

The documentation for this class was generated from the following file:

- saml/exceptions.h